<div class="demo-vertical-spacing">
    <div class="card">
        <h6 class="card-header">
            <h3 class="pull-left">User List
                <button class="btn btn-md btn-outline-primary pull-right" (click)="navigateToAddNewUser()">
                    <span class="fa fa-plus"></span> Add User</button>
            </h3>
            <div class="row">
                <div class="col-sm-6 col-md-5 col-lg-12">
                    <input class="form-control" type='text' placeholder='Search' (keyup)='updateFilter($event)'>
                </div>
            </div>
        </h6>
        <div *ngIf="!detectmob()" class="card-ngx-datatable table-responsive">
            <ngx-datatable #table style="min-width: 550px" [rows]="rows" [loadingIndicator]="loadingIndicator" [columnMode]="'force'"
                [headerHeight]="33" [footerHeight]="'auto'" [rowHeight]="'auto'" [reorderable]="true" [limit]="10">

                <ngx-datatable-column name="Firstname">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        First Name
                    </ng-template>
                </ngx-datatable-column>
                <ngx-datatable-column name="Lastname">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Last Name
                    </ng-template>
                </ngx-datatable-column>

                <ngx-datatable-column name="Email"></ngx-datatable-column>
                <!-- <ngx-datatable-column name="Active">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Status
                    </ng-template>
                    <ng-template let-value="value" ngx-datatable-cell-template>
                        <span *ngIf="value == '2'" class="text-default">Created</span>
                        <span *ngIf="value == '1'" class="text-success">Active</span>
                        <span *ngIf="value == '0'" class="text-danger">Inactive</span>
                    </ng-template>
                </ngx-datatable-column> -->
                <ngx-datatable-column name="activestat">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Status
                    </ng-template>
                </ngx-datatable-column>
                <ngx-datatable-column name="Role">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Role
                    </ng-template>
                    <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                      <span class="badge badge-default ml-2" *ngFor="let r of value">{{r.role}}</span>                        
                    </ng-template>
                </ngx-datatable-column>

                <ngx-datatable-column name="opration">
                    <ng-template let-column="column" ngx-datatable-header-template>
                        Action
                    </ng-template>
                    <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                        <button class="btn icon-btn btn-sm btn-outline-info" placement="bottom" ngbTooltip="Edit" (click)="edit(value)">
                            <i class="fas fa-user-edit"></i>
                        </button>
                        <button class="btn icon-btn btn-sm btn-outline-danger" placement="bottom" ngbTooltip="Delete" (click)="delete(value)" [disabled]="row['cmpadmin']=='1'">
                            <i class="fas fa-trash"></i>
                        </button>
                        <label class="switcher switcher-success">
                            <input type="checkbox" (change)="suspend(value,row['active']==1?0:1)" class="switcher-input" [checked]="row['active']" [disabled]="row['active']>1">
                            <span class="switcher-indicator">
                                <span class="switcher-yes">
                                    <span class="ion ion-md-checkmark"></span>
                                </span>
                                <span class="switcher-no">
                                    <span class="ion ion-md-close"></span>
                                </span>
                            </span>
                        </label>
                    </ng-template>
                </ngx-datatable-column>
            </ngx-datatable>
        </div>
        <div *ngIf="detectmob()" class="card-ngx-datatable table-responsive">
                <ngx-datatable #table style="min-width: 550px" [rows]="rows" [loadingIndicator]="loadingIndicator" [columnMode]="'force'"
                    [headerHeight]="33" [footerHeight]="'auto'" [rowHeight]="'auto'" [reorderable]="true" [limit]="10">
    
                    <ngx-datatable-column name="Firstname">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            First Name
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column name="Lastname">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Last Name
                        </ng-template>
                    </ngx-datatable-column>
    
                    <ngx-datatable-column name="Email"></ngx-datatable-column>
                    <!-- <ngx-datatable-column name="Active">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Status
                        </ng-template>
                        <ng-template let-value="value" ngx-datatable-cell-template>
                            <span *ngIf="value == '2'" class="text-default">Created</span>
                            <span *ngIf="value == '1'" class="text-success">Active</span>
                            <span *ngIf="value == '0'" class="text-danger">Inactive</span>
                        </ng-template>
                    </ngx-datatable-column> -->
                    <ngx-datatable-column name="activestat">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Status
                        </ng-template>
                    </ngx-datatable-column>
                    <ngx-datatable-column name="Role">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Role
                        </ng-template>
                        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                          <span class="badge badge-default ml-2" *ngFor="let r of value">{{r.role}}</span>                        
                        </ng-template>
                    </ngx-datatable-column>
    
                    <ngx-datatable-column name="opration">
                        <ng-template let-column="column" ngx-datatable-header-template>
                            Action
                        </ng-template>
                        <ng-template let-row="row" let-value="value" ngx-datatable-cell-template>
                                <button class="btn icon-btn btn-sm btn-outline-info tooltipMob" (press)="onLongPress('Edit')" (pressUp)="onPressUp()" (tap)="edit(value)">
                                    <i class="fas fa-user-edit"></i>
                                    <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                </button>
                                <button class="btn icon-btn btn-sm btn-outline-danger tooltipMob" (press)="onLongPress('Delete')" (pressUp)="onPressUp()" (tap)="delete(value)" [disabled]="row['cmpadmin']=='1'">
                                    <i class="fas fa-trash"></i>
                                    <span class="tooltiptext" *ngIf="mobTooltipStr != ''">{{mobTooltipStr}}</span>
                                </button>
                                <label class="switcher switcher-success">
                                    <input type="checkbox" (change)="suspend(value,row['active']==1?0:1)" class="switcher-input" [checked]="row['active']" [disabled]="row['active']>1">
                                    <span class="switcher-indicator">
                                        <span class="switcher-yes">
                                            <span class="ion ion-md-checkmark"></span>
                                        </span>
                                        <span class="switcher-no">
                                            <span class="ion ion-md-close"></span>
                                        </span>
                                    </span>
                                </label>
                        </ng-template>
                    </ngx-datatable-column>
                </ngx-datatable>
            </div>
    </div>
    <!-- </div>
</div> -->